Index: /tags/3.3.6/HeuristicLab 3.3.sln
===================================================================
--- /tags/3.3.6/HeuristicLab 3.3.sln	(revision 7262)
+++ /tags/3.3.6/HeuristicLab 3.3.sln	(revision 7263)
@@ -16,6 +16,4 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence-3.3", "HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj", "{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Persistence.GUI-3.3", "HeuristicLab.Persistence.GUI\3.3\HeuristicLab.Persistence.GUI-3.3.csproj", "{A9E282EA-180F-4233-B809-AEDF0787545C}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Core-3.3", "HeuristicLab.Core\3.3\HeuristicLab.Core-3.3.csproj", "{C36BD924-A541-4A00-AFA8-41701378DDC5}"
@@ -114,5 +112,4 @@
 		{AE5B1CE5-9862-4D6F-A700-D72CD9AEA295} = {AE5B1CE5-9862-4D6F-A700-D72CD9AEA295}
 		{D1386FE7-682D-4E18-8C4F-CFD423FA5DD0} = {D1386FE7-682D-4E18-8C4F-CFD423FA5DD0}
-		{A9E282EA-180F-4233-B809-AEDF0787545C} = {A9E282EA-180F-4233-B809-AEDF0787545C}
 		{BF1E4DF4-A4CC-451F-9D50-303F405E265E} = {BF1E4DF4-A4CC-451F-9D50-303F405E265E}
 		{23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE} = {23DA7FF4-D5B8-41B6-AA96-F0561D24F3EE}
@@ -310,16 +307,4 @@
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|x86.ActiveCfg = Release|x86
 		{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}.Release|x86.Build.0 = Release|x86
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|x64.ActiveCfg = Debug|x64
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|x64.Build.0 = Debug|x64
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|x86.ActiveCfg = Debug|x86
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Debug|x86.Build.0 = Debug|x86
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|x64.ActiveCfg = Release|x64
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|x64.Build.0 = Release|x64
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|x86.ActiveCfg = Release|x86
-		{A9E282EA-180F-4233-B809-AEDF0787545C}.Release|x86.Build.0 = Release|x86
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{C36BD924-A541-4A00-AFA8-41701378DDC5}.Debug|Any CPU.Build.0 = Debug|Any CPU
Index: /tags/3.3.6/HeuristicLab.Tests/Builder.testsettings
===================================================================
--- /tags/3.3.6/HeuristicLab.Tests/Builder.testsettings	(revision 7262)
+++ /tags/3.3.6/HeuristicLab.Tests/Builder.testsettings	(revision 7263)
@@ -114,5 +114,4 @@
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Data-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.CodeEditor-3.3.dll" />
-    <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Persistence.GUI-3.3.dll" />
     <DeploymentItem filename="HeuristicLab.Tests\HeuristicLab-3.3\Resources\ch130.opt.tour" />
     <DeploymentItem filename="HeuristicLab.Tests\bin\Release\HeuristicLab.Problems.DataAnalysis.Symbolic.Views-3.4.dll" />
Index: /tags/3.3.6/HeuristicLab.Tests/HeuristicLab.Tests.csproj
===================================================================
--- /tags/3.3.6/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 7262)
+++ /tags/3.3.6/HeuristicLab.Tests/HeuristicLab.Tests.csproj	(revision 7263)
@@ -794,8 +794,4 @@
       <Name>HeuristicLab.Parameters-3.3</Name>
     </ProjectReference>
-    <ProjectReference Include="..\HeuristicLab.Persistence.GUI\3.3\HeuristicLab.Persistence.GUI-3.3.csproj">
-      <Project>{A9E282EA-180F-4233-B809-AEDF0787545C}</Project>
-      <Name>HeuristicLab.Persistence.GUI-3.3</Name>
-    </ProjectReference>
     <ProjectReference Include="..\HeuristicLab.Persistence\3.3\HeuristicLab.Persistence-3.3.csproj">
       <Project>{102BC7D3-0EF9-439C-8F6D-96FF0FDB8E1B}</Project>
Index: /tags/3.3.6/HeuristicLab/3.3/CustomPostBuildTemplate_UpdateLocalInstallation.cmd
===================================================================
--- /tags/3.3.6/HeuristicLab/3.3/CustomPostBuildTemplate_UpdateLocalInstallation.cmd	(revision 7262)
+++ /tags/3.3.6/HeuristicLab/3.3/CustomPostBuildTemplate_UpdateLocalInstallation.cmd	(revision 7263)
@@ -1,3 +1,3 @@
-set target=C:\Program Files\HeuristicLab 3.3
+set target=C:\Program Files\HeuristicLab 3.3.6
 
 FOR /F "skip=1 tokens=1 delims= usebackq" %%G IN ("%ProjectDir%\Files.txt") DO copy "%Outdir%\%%G" "%target%" >nul